1.0

1.0

get /v1/assignments/targets

Description

list targets for policy

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querypolicy_id
required
제어 정책 ID
Example : f98e76d54c32b10a9z8y7x6w5v4u3
stringNone
querypolicy_category
optional
정책 카테고리
Example : SCP
any of [enum (SCP, RCP, TAG, DGP), null]SCP
querytarget_type
required
타겟 유형
Example : OU
enum (ROOT, ACCOUNT, OU)None
queryname
optional
타겟명
Example : example-target
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListTargetsForPolicyResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/assignments/targets?policy_id={policy_id}&target_type={target_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "targets": [
        {
            "control_policies": [
                {
                    "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                    "policy_name": "test-policy-name"
                }
            ],
            "created_at": "2024-12-19 01:09:05.000",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "id": "0a36e0746dbf4908acf0357829701381",
            "modified_at": "2023-10-15 14:30:00",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "target_name": "example-target"
        }
    ]
}